Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157066 - "rhncfg-manager get" tracebacks when used with the --topdir option
Summary: "rhncfg-manager get" tracebacks when used with the --topdir option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Wregglesworth
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 16:09 UTC by John Wregglesworth
Modified: 2007-10-24 02:36 UTC (History)
2 users (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-01 02:58:45 UTC


Attachments (Terms of Use)

Description John Wregglesworth 2005-05-06 16:09:06 UTC
Description of problem: Using rhncfg-manager's get mode with the topdir option
generates a this traceback:

Traceback (most recent call last):
  File "/usr/bin/rhncfg-manager", line 39, in ?
    sys.exit(Main().main() or None)
  File "/usr/share/rhn/config_common/rhn_main.py", line 171, in main
    handler.run()
  File "/usr/share/rhn/config_management/rhncfg_get.py", line 83, in run
    dep_trans.add_preprocessed(f, temp_file, info, strict_ownership=0)
TypeError: add_preprocessed() takes at least 5 non-keyword arguments (4 given)

How reproducible: Always


Steps to Reproduce:
1. Set up a config channel with a dummy config file in it.
2. Subscribe a client machine to the config channel.
3. On the client channel, run: rhncfg-manager get --channel=config-channel
--topdir=/path/to/topdir /path/to/file.
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/rhncfg-manager", line 39, in ?
    sys.exit(Main().main() or None)
  File "/usr/share/rhn/config_common/rhn_main.py", line 171, in main
    handler.run()
  File "/usr/share/rhn/config_management/rhncfg_get.py", line 83, in run
    dep_trans.add_preprocessed(f, temp_file, info, strict_ownership=0)
TypeError: add_preprocessed() takes at least 5 non-keyword arguments (4 given)


Expected results: Should get the config file.

Comment 1 John Wregglesworth 2005-05-13 13:51:01 UTC
Fixed in CVS. 

Test Plan:
o Create a config channel.

o Create a file in the config channel. Make a note of the path you give it.

o Subscribe a system to the config channel.

o On the system you just subscribed to the config channel, run the
'rhncfg-manager get' command with the --topdir option. Have it get the file in
channel you just created. The /path/to/config-file argument should be the path
you entered in the Path field when creating the config file.

rhncfg-manager get --channel=foo --topdir=/path/to/topdir /path/to/config-file
                                                                               
                                     
Expected results: Instead of a traceback, rhncfg-manager should tell you it's
deploying the file and actually deploy the file.


Comment 2 Fanny Augustin 2005-07-17 19:47:21 UTC
Looks good on QA


Note You need to log in before you can comment on or make changes to this bug.